<?php
session_start();
include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

if($_GET['palet']) $palet=$_GET['palet']; else $palet=$_POST['palet'];

$productos=array();

if($_SESSION['entradaEsRecepcionCompra']) {

	foreach( $_SESSION['productosLeidos'] as $producto) {
		if( $producto['CodigoPalet']==$palet ) {
			$producto['CantidadLeida']=$producto['Leido'];
			$productos[]=$producto;
		}
	}

}
else {

	foreach( $_SESSION['productos'] as $producto) {
		foreach( arreglaArrayPXMobileProxiumResult($producto['ProductoPalets']) as $item) {
			if( $item['CodigoPalet']==$palet && (int)$item['CantidadLeida']>0) {
				$producto['CantidadLeida']=$item['CantidadLeida'];
				$productos[]=$producto;
			}
		
		}
	}
	
}

?><h2>Palet <?php echo $palet; ?></h2><?php

if(count($productos)>0) {
	
	?><table class="tablaFormateada">
<tr>
				<th align="center">Código</th>
              	<th align="center">Descripción</th>
            	<?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
                	<?php if($comportamiento['Activo']) { ?><th align="center"><?php echo $comportamiento['Nombre']; ?></th><?php } ?>
                <?php } ?>
                <th align="center">Cantidad</th>
  </tr>
	<?php
	
	foreach($productos as $producto) {
			?>
			<tr>
            	<td align="center"><?php echo $producto['Codigo']; ?></td>
              	<td align="left"><?php echo $producto['Descripcion']; ?></td>
                <?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
                	<?php if($comportamiento['Activo']=='S') { ?>
                    	<td><?php echo $producto[$comportamiento['NombreSQL']]; ?></td>
                    <?php } ?>
				<?php } ?>
                <td align="right"><?php echo number_format($producto['CantidadLeida'],0,',','.'); ?></td>
			</tr>
        	<?php
	}
		
	?></table>
        
<?php } else { ?><p>Este Palet todavía no contiene productos.</p><?php } ?>
    
<script>

	$(document).ready(function() {
	
		
	});
	
</script>